Skip to main content
GET
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
restores
/
{restore_id}
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/restores/{restore_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "kb_id": "<string>",
  "source_backup_id": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "status": "<string>",
  "triggered_by": "<string>",
  "bytes_downloaded": 123,
  "completed_at": "2023-11-07T05:31:56Z",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
kb_id
string
required
restore_id
string
required

Response

200 - application/json

Restore details

id
string
required
kb_id
string
required
source_backup_id
string
required
started_at
string<date-time>
required
status
string
required
triggered_by
string
required
bytes_downloaded
integer<int64> | null
completed_at
string<date-time> | null
error
string | null